Subject: RE: [nmrg] itu ietf meeting management session notes
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: "[email-masked]'" <[email-masked]>, [email-masked]
Date: Wed, 4 May 2005 17:24:37 +0200
List-Id: Network Management Research Group <nmrg.ibr.cs.tu-bs.de>

Thanks for the notes/summary Juergen.

the web page for more info/reports on the whole NGN workshop is at:
  http://www.itu.int/ITU-T/worksem/ngn/200505/index.html
it includes audio recordings
  http://www.itu.int/ibs/ITU-T/ngn05/index.html
and the program with ptrs to slides
  http://www.itu.int/ITU-T/worksem/ngn/200505/program.html

If I may, I have a few (minor) comments:

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Juergen 
> Schoenwaelder
> Sent: Monday, May 02, 2005 23:22
> To: [email-masked]
> Subject: [nmrg] itu ietf meeting management session notes
> 
> 
> Attached are my notes from the management session of the ITU IETF NGN 
> workshop. No guarantee that I got the Qs and As correct.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder		    International University Bremen
> <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> 28725 Bremen, Germany
> 
> 
> 	      ITU-IETF Workshop, ITU, Geneva, 2005-05-01
> 
>        http://www.itu.int/ITU-T/worksem/ngn/200505/program.html
> 
> 	  Notes taken during the Network Management session
> 
> 				   
> Bert opens the session in his very typical way. ;-)
> 
> Dave Sidor's presentation (see URL above for his slides):
> 
> - Evolving the best of TMN concepts to meet the requirements of NGN
> - Recaps TMN principles and eTOM adaptations
> - Explains goals of the NGN Management Focus Group
> 
> The NGN MFG plan plans to deliver a complete road-map in September.
> Utilizing CORBA, CMIP and XML, some technology providers are moving
> from CORBA to XML.
> 
> Bert Wijnen opens with some not only entertaining remarks about the
> differences in culture (which are clearly visible here). Makes it
> clear that the IETF does not endorse NGN or any other technology but
> that this meeting is all about talking about requirements.
> 
I also stated that the IETF does not critique NGN. That is, IETF is
neutral on what sort of applications people want to build as long
as they do not jeopardize the Internet Infrastructure.

> Bert's presentation is not yet available on the web page, but I can
> send it to you if you want it.
> 
It is now available at:
   http://www.itu.int/ITU-T/worksem/ngn/200505/presentations/s4-wijnen.pdf
and it include opening remarks refered to above.

> - Explains status of SNMP, NetConf, COPS, GSMP, ...
> - Monitoring vs. configuration
> - SNMPv3 security and ISMS
> - IAB Workshop and their requirements
> - NetConf overview plus feature list
> - Other work potentially relevant to NGN
> 
> Bert states that exchanging information is not enough, followup work
> needs to be done.
> 
Specifically I mentioned that if we (IETF people) do comment on some
of their documents and show clear errors or mis-references etc,
that they should follow up and fix.
I also appologized that I may not have been in-time with my latest
set of comments on M.3016 series.

> Leen Mak talks about convergence of networks and convergence of
> network management. Driver is the reduction of of operational costs.
> NGN considers the following inputs: TMN Model (M.3010), TMF eTOM
> Business Process Architecture (M.3050), 3GPP Management System
> Interactions (32.101), TeleManagement Forum Technology (MTNM, MTOSI,
> NGOSS, SID). Leen then explains the NGN Management Logical Layered
> Architecture which will become M.3060. There is also an ETSI NGN
> Management Architecture (TS 188 001).
> 
> Leen says that CMIP and CORBA are sort of out of fashion and focus
> will be on SNMP and XML. IETF protocol work may play a role, but it is
> not yet clear where and how.
> 
> 
> Discussion:
> 
> Q: Tom says there is also EPP and this might be another prime protocol
>    for introduction to submit to study group 4.
> A: Bert says that his list was not meant to exhaustive.
> 
> Q: What would be the additional work that must be done in the context
>    of EPP? Just additional schemas?
> A: We go from requirements to protocol neutral information models and
>    then finally to concrete protocol specification work.
> 
> Q: Asks Tony to explain why EPP might interesting.
> A: EPP is used to manage IRIS/ENUM databases. Note that EPP is not
>    strongly linked to IRIS.
> 
> Q: Is EPP or NetConf better for provisioning applications?
> A: First need more implementation and deployment experience.
> 
> Q: Information model work in multiple places - how to avoid multiple
>    solutions to the same problem?
> A: NGN MFG promises to raise flags when they encounter discrepancies
>    and plans to report to the relevant organizations to take care of
>    them.
> 
> A: EPP and IRIS are both XML based.
> 
> A: Lack of agreement what we mean with network management. Configuring
>    ENUM numbers is in some communities not considered network 
> management.
> 
> A: Great willingness currently by standard bodies to cooperate, which
>    is different from the situation a few years ago.
> 
> A: Bert is concerned that the selection process of the submitted
>    specifications lying ahead will be difficult. Dave seems to agree
>    with that statement.
> 
> Q: What is the purpose of the focus group if we do not come to a
>    solution? What is the time available for NGN work to complete?
> A: Deadlines are given and NGN MFG is expected to deliver in 
> September.
>    NGN MFG exists to support NGN release 1.
> 
> Bert got the last word. Cheers. :-)
> 

Resent-From: [email-masked]
Resent-Date: Mon, 2 May 2005 23:53:18 +0200
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Date: Mon, 2 May 2005 23:21:53 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: [email-masked]
Mail-Followup-To: [email-masked]
Subject: [nmrg] itu ietf meeting management session notes
Reply-To: [email-masked]

--UugvWAfsgieZRqgk
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Attached are my notes from the management session of the ITU IETF NGN 
workshop. No guarantee that I got the Qs and As correct.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany

--UugvWAfsgieZRqgk
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="ITU-IETF-NM.txt"

	      ITU-IETF Workshop, ITU, Geneva, 2005-05-01

       http://www.itu.int/ITU-T/worksem/ngn/200505/program.html

	  Notes taken during the Network Management session

Bert opens the session in his very typical way. ;-)

Dave Sidor's presentation (see URL above for his slides):

- Evolving the best of TMN concepts to meet the requirements of NGN
- Recaps TMN principles and eTOM adaptations
- Explains goals of the NGN Management Focus Group

The NGN MFG plan plans to deliver a complete road-map in September.
Utilizing CORBA, CMIP and XML, some technology providers are moving
from CORBA to XML.

Bert Wijnen opens with some not only entertaining remarks about the
differences in culture (which are clearly visible here). Makes it
clear that the IETF does not endorse NGN or any other technology but
that this meeting is all about talking about requirements.

Bert's presentation is not yet available on the web page, but I can
send it to you if you want it.

- Explains status of SNMP, NetConf, COPS, GSMP, ...
- Monitoring vs. configuration
- SNMPv3 security and ISMS
- IAB Workshop and their requirements
- NetConf overview plus feature list
- Other work potentially relevant to NGN

Bert states that exchanging information is not enough, followup work
needs to be done.

Leen Mak talks about convergence of networks and convergence of
network management. Driver is the reduction of of operational costs.
NGN considers the following inputs: TMN Model (M.3010), TMF eTOM
Business Process Architecture (M.3050), 3GPP Management System
Interactions (32.101), TeleManagement Forum Technology (MTNM, MTOSI,
NGOSS, SID). Leen then explains the NGN Management Logical Layered
Architecture which will become M.3060. There is also an ETSI NGN
Management Architecture (TS 188 001).

Leen says that CMIP and CORBA are sort of out of fashion and focus
will be on SNMP and XML. IETF protocol work may play a role, but it is
not yet clear where and how.

Discussion:

Q: Tom says there is also EPP and this might be another prime protocol
   for introduction to submit to study group 4.
A: Bert says that his list was not meant to exhaustive.

Q: What would be the additional work that must be done in the context
   of EPP? Just additional schemas?
A: We go from requirements to protocol neutral information models and
   then finally to concrete protocol specification work.

Q: Asks Tony to explain why EPP might interesting.
A: EPP is used to manage IRIS/ENUM databases. Note that EPP is not
   strongly linked to IRIS.

Q: Is EPP or NetConf better for provisioning applications?
A: First need more implementation and deployment experience.

Q: Information model work in multiple places - how to avoid multiple
   solutions to the same problem?
A: NGN MFG promises to raise flags when they encounter discrepancies
   and plans to report to the relevant organizations to take care of
   them.

A: EPP and IRIS are both XML based.

A: Lack of agreement what we mean with network management. Configuring
   ENUM numbers is in some communities not considered network management.

A: Great willingness currently by standard bodies to cooperate, which
   is different from the situation a few years ago.

A: Bert is concerned that the selection process of the submitted
   specifications lying ahead will be difficult. Dave seems to agree
   with that statement.

Q: What is the purpose of the focus group if we do not come to a
   solution? What is the time available for NGN work to complete?
A: Deadlines are given and NGN MFG is expected to deliver in September.
   NGN MFG exists to support NGN release 1.

Bert got the last word. Cheers. :-)

--UugvWAfsgieZRqgk--